Page MenuHomePhabricator

[RISCV] Enable MachineOutliner by default under -Oz for RISCV
ClosedPublic

Authored by pcwang-thead on Mar 22 2022, 1:19 AM.

Details

Summary

Enable default outlining when the function has the minsize attribute.

addr-label.ll crashed after enabling this, so a barrier is added before
instruction selection as a workaround.

Diff Detail

Unit TestsFailed

TimeTest
60,020 msx64 debian > libFuzzer.libFuzzer::fuzzer-leak.test
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -O2 -gline-tables-only -fsanitize=address,fuzzer -I/var/lib/buildkite-agent/builds/llvm-project/compiler-rt/lib/fuzzer -m64 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/fuzzer/LeakTest.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/fuzzer/X86_64DefaultLinuxConfig/Output/fuzzer-leak.test.tmp-LeakTest
60,090 msx64 debian > libFuzzer.libFuzzer::large.test
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -O2 -gline-tables-only -fsanitize=address,fuzzer -I/var/lib/buildkite-agent/builds/llvm-project/compiler-rt/lib/fuzzer -m64 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/fuzzer/LargeTest.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/fuzzer/X86_64DefaultLinuxConfig/Output/large.test.tmp-LargeTest
60,020 msx64 debian > libFuzzer.libFuzzer::value-profile-load.test
Script: -- : 'RUN: at line 2'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -O2 -gline-tables-only -fsanitize=address,fuzzer -I/var/lib/buildkite-agent/builds/llvm-project/compiler-rt/lib/fuzzer -m64 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/fuzzer/LoadTest.cpp -fsanitize-coverage=trace-gep -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/fuzzer/X86_64DefaultLinuxConfig/Output/value-profile-load.test.tmp-LoadTest

Event Timeline

pcwang-thead created this revision.Mar 22 2022, 1:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 22 2022, 1:19 AM
pcwang-thead requested review of this revision.Mar 22 2022, 1:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 22 2022, 1:19 AM

It's probably a good idea to separate the fixes from the change to the default enable.

Separate patches.

pcwang-thead edited the summary of this revision. (Show Details)Mar 28 2022, 10:16 PM

It's probably a good idea to separate the fixes from the change to the default enable.

I have separated this patch into three patches:

Ping. Is there any problem I should take care of?

luismarques accepted this revision.May 3 2022, 4:07 AM

LGTM. Thanks.

This revision is now accepted and ready to land.May 3 2022, 4:07 AM
This revision was landed with ongoing or failed builds.May 6 2022, 2:38 AM
This revision was automatically updated to reflect the committed changes.